
D4Science Infrastructure - Incident #4200

IS not responding

Jun 08, 2016 12:44 PM - Gianpaolo Coro

Status: Closed Start date: Jun 08, 2016

Priority: Immediate Due date:  

Assignee: Roberto Cirillo % Done: 100%

Category: Other Estimated time: 0.00 hour

Target version:    

Infrastructure: Development   

Description

The IS/Registry is not responding on https://dev.d4science.org/web/guest/monitor

This is needed to add and manage the many requests for algorithms integration that arrive every day.

History

#1 - Jun 08, 2016 01:13 PM - Roberto Cirillo

- Status changed from New to In Progress

- % Done changed from 0 to 100

The problem seems to be the same happened in production: a memory leak on accounting libs.

There were a lot of accounting exceptions but I cannot see the cause because the log level was set to ERROR:

2016-06-01 18:02:35,843 ERROR persistence.PersistenceBackendConfiguration [pool-1017-thread-1,getInstance:57] 

AccountingPersistenceConfiguration not initialized correctly. It will not be used. Trying the next one if any.

java.lang.reflect.InvocationTargetException

        at sun.reflect.GeneratedConstructorAccessor123.newInstance(Unknown Source)

        at sun.reflect.DelegatingConstructorAccessorImpl.newInstance(DelegatingConstructorAccessorImpl.java:45

)

        at java.lang.reflect.Constructor.newInstance(Constructor.java:526)

        at org.gcube.documentstore.persistence.PersistenceBackendConfiguration.getInstance(PersistenceBackendC

onfiguration.java:51)

        at org.gcube.documentstore.persistence.PersistenceBackendFactory.discoverPersistenceBackend(Persistenc

eBackendFactory.java:117)

        at org.gcube.documentstore.persistence.PersistenceBackendFactory.rediscoverPersistenceBackend(Persiste

nceBackendFactory.java:169)

        at org.gcube.documentstore.persistence.PersistenceBackendRediscover.run(PersistenceBackendRediscover.j

ava:38)

        at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:471)

        at java.util.concurrent.FutureTask.runAndReset(FutureTask.java:304)

        at java.util.concurrent.ScheduledThreadPoolExecutor$ScheduledFutureTask.access$301(ScheduledThreadPool

Executor.java:178)

        at java.util.concurrent.ScheduledThreadPoolExecutor$ScheduledFutureTask.run(ScheduledThreadPoolExecuto

r.java:293)

        at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1145)

        at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:615)

        at java.lang.Thread.run(Thread.java:744)

Caused by: java.lang.IndexOutOfBoundsException: Index: 0, Size: 0

        at java.util.ArrayList.rangeCheck(ArrayList.java:635)

        at java.util.ArrayList.get(ArrayList.java:411)

        at org.gcube.accounting.persistence.AccountingPersistenceConfiguration.getServiceEndpoint(AccountingPe

rsistenceConfiguration.java:68)

        at org.gcube.accounting.persistence.AccountingPersistenceConfiguration.<init>(AccountingPersistenceCon

figuration.java:42)

        ... 14 more

 I've restarted the container with the log level set to debug. Now the IS-Collector is up and running but it's need to monitoring this container because

the problem is not solved. I guess there are several VRE scope without accounting service endpoint that cause a memory leak in accounting lib.

#2 - Jun 08, 2016 01:13 PM - Roberto Cirillo

- Status changed from In Progress to Resolved

#3 - Jun 08, 2016 01:29 PM - Gianpaolo Coro

- Status changed from Resolved to In Progress

May 02, 2025 1/2

https://dev.d4science.org/web/guest/monitor


The problem is again there, just after few minutes.

The devsec environment has never worked, instead.

#4 - Jun 08, 2016 01:29 PM - Gianpaolo Coro

- % Done changed from 100 to 0

#5 - Jun 08, 2016 02:30 PM - Roberto Cirillo

- Status changed from In Progress to Feedback

Could you give me more details, please?

From monitor I see that the IS-Collector is working and also the registry service. In addition the ghn containers are correctly updated

https://preprod.d4science.org/web/guest/monitor

https://dev.d4science.org/web/guest/monitor

#6 - Jun 08, 2016 04:00 PM - Gianpaolo Coro

- Status changed from Feedback to Closed

- % Done changed from 0 to 100

it seems to be working now, but just after a restart of the portal. I don't know if this is related.

#7 - Sep 20, 2016 08:01 PM - Pasquale Pagano

- Target version deleted (gCube related support)
